Skip to main content

Current User

View as Markdown

User object

activebooleanPublic Preview

If this user is active

displayNamestringPublic Preview

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of objectPublic Preview

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
entitlementsarray of objectPublic Preview

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
externalIdstringPublic Preview

External ID is not currently supported. It is reserved for future use.

Constraints: <= 64 characters

groupsarray of objectPublic Preview
Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
idstringPublic Preview

<Databricks> user ID.

nameobjectPublic Preview
Show child attributesHide child attributes
familyNamestringPublic Preview

Family name of the <Databricks> user.

givenNamestringPublic Preview

Given name of the <Databricks> user.

rolesarray of objectPublic Preview

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
schemasarray of stringPublic Preview

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestringPublic Preview

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Me Public Preview

GET /api/2.0/preview/scim/v2/Me

Get details about the current method caller's identity.

API scopes: Any scoped token

Parameters

attributesstringquery

Comma-separated list of attributes to return in response.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

Response

Returns the User object.